/*
 * |-----------------------------------------------------------|
 * | Copyright (c) 1991, 1990 MIPS Computer Systems, Inc.      |
 * | All Rights Reserved                                       |
 * |-----------------------------------------------------------|
 * |          Restricted Rights Legend                         |
 * | Use, duplication, or disclosure by the Government is      |
 * | subject to restrictions as set forth in                   |
 * | subparagraph (c)(1)(ii) of the Rights in Technical        |
 * | Data and Computer Software Clause of DFARS 252.227-7013.  |
 * |         MIPS Computer Systems, Inc.                       |
 * |         950 DeGuigne Avenue                               |
 * |         Sunnyvale, California 94088-3650, USA             |
 * |-----------------------------------------------------------|
 */
#ident	"$Header: trace.c,v 1.4.2.1 92/06/24 13:44:33 marker Exp $"
#ifdef DEBUG	/* Only used if DEBUG is defined */
#include <stdio.h>
	int	tron;	/* global = trace on */
	char	tr[160];

strace(file, line, step)
	char	*file, *step;
	int	line;
{
	static int	indent = 0;
	register	i;

	if (*step == '-')
		indent--; 
	if (tron) {
		fprintf(stderr, "%14s: %5d: ", file, line);
		for (i = indent; i--; )
			fprintf(stderr, ".  ");
		fprintf(stderr, "%s\n", step);
	}
	if (*step == '+')
		indent++; 
}
#endif
